API Documentation



Mark Orders Verified

The Mark Orders Verified API call can be used to make an order as verified for billing. When verified an order will be added to the client's next invoice, unverified orders are excluded from invoice runs.

Mark Orders Verified is only used when Order Verification Required is active under Account Settings > Account Information in Billing API

Example Request

curl --location --request POST 'https://production.billingapi.co.uk/api/mark-orders-verified' \

--header 'Authorization: Bearer {API_TOKEN}' \

--header 'Accept: application/json' \

--header 'Content-Type: application/json' \

--data-raw '{

 "order_ids": ['{ORDER_ID}','{ORDER_ID}','{ORDER_ID}'],

 "verify_status": true

}'

Example Response

{

 "success": true,

 "charge_count": 9

}Get Unverified Orders

The Get Unverified Orders API call can be used to list all orders ready for billing verification.

Get Unverified Orders is only used when Order Verification Required is active under Account Settings > Account Information in Billing API

Example Request

curl --location --request GET 'https://production.billingapi.co.uk/api/get-unverified-orders?page=1' \

--header 'Authorization: Bearer {API_TOKEN}' \

--header 'Accept: application/json' \

--header 'Content-Type: application/json' \

Example Response

{

 "courier_charges": [

 {

 "id": 359,

 "created_at": "2020-07-27 13:49:47",

 "updated_at": "2020-07-28 09:09:08",

 "request_date": "2020-07-27 13:49:47",

 "despatch_date": "2020-05-05 14:13:26",

 "client_id": 1,

 "client_customer_id": 1,

 "order_id": "123456789",

 "parcel_quantity": 1,

 "service_name": "RM 24(Parcel 0.75-20kg)",

 "price": 406,

 "billed_status": 0,

 "invoice_id": null,

 "verified": 0

 },

 {

 "id": 358,

 "created_at": "2020-07-27 13:48:29",

 "updated_at": "2020-07-28 09:09:08",

 "request_date": "2020-07-27 13:48:29",

 "despatch_date": "2020-05-05 14:10:51",

 "client_id": 1,

 "client_customer_id": 1,

 "order_id": "123456789",

 "parcel_quantity": 1,

 "service_name": "RM 24 (Parcel 0.75-20kg)",

 "price": 406,

 "billed_status": 0,

 "invoice_id": null,

 "verified": 0

 }

 ],

 "picking_charges": [

 {

 "id": 1,

 "created_at": "2020-06-16 13:45:01",

 "updated_at": "2020-06-16 13:45:01",

 "request_date": "2020-06-16 13:45:01",

 "despatch_date": "2020-01-02 13:54:14",

 "client_id": 1,

 "client_customer_id": 1,

 "order_id": "123456789",

 "parcel_quantity": 1,

 "item_quantity": 1,

 "pick_quantity": 1,

 "price": 104,

 "billed_status": 0,

 "invoice_id": null,

 "time_charge": 0,

 "verified": 0

 },

 {

 "id": 2,

 "created_at": "2020-06-17 11:51:49",

 "updated_at": "2020-06-17 11:51:49",

 "request_date": "2020-06-17 11:51:49",

 "despatch_date": "2020-02-06 15:32:04",

 "client_id": 1,

 "client_customer_id": 1,

 "order_id": "123456789",

 "parcel_quantity": 1,

 "item_quantity": 1,

 "pick_quantity": 1,

 "price": 104,

 "billed_status": 0,

 "invoice_id": null,

 "time_charge": 0,

 "verified": 0

 }

 ],

 "rule_charges": [

 {

 "id": 1,

 "created_at": "2020-06-18 12:38:47",

 "updated_at": "2020-06-18 12:38:47",

 "request_date": "2020-06-18 12:38:46",

 "despatch_date": "2020-02-24 16:36:23",

 "client_id": 1,

 "client_customer_id": 1,

 "order_id": "10201-1238-2",

 "rule_name": "Demo Rule 1",

 "price": 2,

 "billed_status": 0,

 "invoice_id": null,

 "verified": 0

 }

 ]

}